import java.util.ArrayList;

/**
 * This class contains a method that can help test Boulder objects.
 * 
 * @author Brad Richards
 */

public class BouncingBoulders
{

    /**
     * This method takes two Boulder objects as parameters, makes them visible, then
     * updates their positions 100 times.  You don't have to understand how the "for"
     * loop works, but the parameters should be familiar.
     */
    public void testBoulders(Boulder b1, Boulder b2) {
        b1.makeVisible();   // Ask b1 to become visible
        b2.makeVisible();   // Same for b2

        for(int i=0; i<200; i=i+1)  // Do the steps below 200 times
        {
            b1.updatePosition();    // "advance" it one step on the screen
            b2.updatePosition();
        }
    }
    
    /**
     * You can call this method as a quick way to test out two boulders 
     * moving around the screen.
     */
    public void runTest() {
        Boulder b1 = new Boulder(100, 200, 8, 8, 50);
        Boulder b2 = new Boulder(200, 100, 8, -8, 50);
        testBoulders(b1, b2);
    }
}
